<!DOCTYPE html>
<html lang="en">
<head>
    <title><%-lang.Superuser%> - <%-lang.Shinobi%></title>
    <% window.libURL = originalURL + global.s.checkCorrectPathEnding(config.webPaths.admin) %>
    <% include blocks/header-meta.ejs %>
    <% include blocks/header-favicon.ejs %>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
    <!--     Fonts and icons     -->
    <link href="<%-window.libURL%>libs/css/montserrat.css" rel="stylesheet" />
    <link href="<%-window.libURL%>libs/css/font-awesome.min.css" rel="stylesheet" />
    <!-- CSS Files -->
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/bootstrap4.min.css" />
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/main.dash2.css" />
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/pnotify.custom.min.css">
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/now-ui-kit.css?v=1.1.0" />
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/dash2.basic.css">
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/dash2.modal.css">
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/dash2.forms.css">
    <link rel="stylesheet" href="<%-window.libURL%>libs/css/super-page.css" />
    <script src="<%-window.libURL%>libs/js/jquery.min.js"></script>
    <script src="<%-window.libURL%>libs/js/jquery-ui.min.js"></script>
    <script src="<%-window.libURL%>libs/js/basic.js"></script>
    <script src="<%-window.libURL%>libs/js/jquery.serialize.js"></script>
    <script src="<%-window.libURL%>libs/js/pnotify.custom.min.js"></script>
    <script src="<%-window.libURL%>libs/js/popper.min.js" type="text/javascript"></script>
    <script src="<%-window.libURL%>libs/js/bootstrap4.min.js" type="text/javascript"></script>
    <script src="<%-window.libURL%>libs/js/dash2.confirm.js" type="text/javascript"></script>
    <style>
        .form-group label>div:first-child{width:40%}
        .list-group li .form-group {margin:0}
        a {cursor:pointer}
    </style>
    <script>
        var superApiPrefix = "<%=originalURL%><%=config.webPaths.superApiPrefix%>"
        var shinobiConfig = <%- JSON.stringify(plainConfig) %>
    </script>
    <% customAutoLoad.superLibsCss.forEach(function(lib){ %>
        <link rel="stylesheet" href="<%-window.libURL%>libs/css/<%-lib%>">
    <% }) %>
</head>

<body class="index-page sidebar-collapse bg-hexagon">
    <!-- Navbar -->
    <nav id="main-nav" class="navbar navbar-expand-lg bg-primary fixed-top" color-on-scroll="400">
        <div class="container">
            <div class="navbar-translate">
                <a tabindex="1" class="navbar-brand logout" style="outline:0" href="/" data-placement="bottom">
                    <%-lang.superAdminTitle%>
                </a>
                <button class="navbar-toggler navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation" aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-bar bar1"></span>
                    <span class="navbar-toggler-bar bar2"></span>
                    <span class="navbar-toggler-bar bar3"></span>
                </button>
            </div>
            <div class="collapse navbar-collapse justify-content-end" id="navigation" data-nav-image="<%-window.libURL%>libs/img/blurred-image-1.jpg">
                <ul class="nav navbar-nav navbar-right">
                    <li class="nav-item">
                        <a href="javascript:location.href=location.pathname" class="nav-link" class="logout">
                            <i class="fa fa-sign-out"></i>
                            <p class="d-lg-none d-xl-none"><%-lang.Logout%></p>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <!-- End Navbar -->
    <div class="wrapper">
        <div class="page-header clear-filter" filter-color="primary">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div id="main-card" class="card">
                            <ul class="nav nav-tabs nav-tabs-neutral justify-content-center bg-primary" id="tablist" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" data-toggle="tab" href="#accounts" role="tab"><%-lang['Accounts']%></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-toggle="tab" href="#config" role="tab"><%-lang['Configuration']%></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-toggle="tab" href="#system" role="tab"><%-lang['Controls and Logs']%></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-toggle="tab" href="#changeSuperPreferences" role="tab"><%-lang['Preferences']%></a>
                                </li>
                            </ul>
                            <div class="card-body">
                                <!-- Tab panes -->
                                <div class="tab-content text-center">
                                    <div class="tab-pane active" id="accounts" role="tabpanel">
                                        <nav class="navbar navbar-rounded navbar-expand-lg bg-primary">
                                            <div class="container">
                                                <div class="collapse navbar-collapse">
                                                    <ul class="navbar-nav">
                                                        <li class="nav-item">
                                                            <a class="nav-link add">
                                                                <p><i class="fa fa-plus-square-o"></i> <%-lang['Add']%> <%-lang['Accounts']%></p>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </nav>
                                        <table class="table table-striped"></table>
                                    </div>
                                    <div class="tab-pane text-left" id="config" role="tabpanel">
                                        <% include blocks/superConfigEditor.ejs %>
                                    </div>
                                    <div class="tab-pane text-left" id="system" role="tabpanel">
                                        <% include blocks/superSystemTab.ejs %>
                                    </div>
                                    <div class="tab-pane text-left" id="changeSuperPreferences" role="tabpanel">
                                        <% include blocks/changeSuperPreferences.ejs %>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row text-center">
                    <div class="col">
                        <a href="https://gitlab.com/Shinobi-Systems/Shinobi/commit/<%- currentVersion %>" target="_blank">
                            <small class="epic-text" style="font-weight: 700;color: #fff;letter-spacing: 2pt;">
                                Current Version : <%- currentVersion %>
                            </small>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="temp" style="display:none"></div>
</body>
<% include blocks/confirm.ejs %>
<% customAutoLoad.superPageBlocks.forEach(function(block){ %>
    <%- include(block) %>
<% }) %>
<script src="<%-window.libURL%>libs/js/pnotify.custom.min.js" type="text/javascript"></script>
<script><% include ../libs/js/moment.js %></script>
<script src="<%-window.libURL%>libs/js/livestamp.min.js" type="text/javascript"></script>
<script src="<%-window.libURL%>libs/js/socket.io.js" type="text/javascript"></script>
<script src="<%-window.libURL%>libs/js/placeholder.js" type="text/javascript"></script>
<script src="<%-window.libURL%>libs/js/now-ui-kit.js?v=1.1.0" type="text/javascript"></script>
<script type="text/javascript">
    var lang = <%- JSON.stringify(lang) || {} %>;
    PNotify.prototype.options.styling = "fontawesome";
    $(document).ready(function() {
        // the body of this function is in assets/js/now-ui-kit.js
        $('#main-card').css('margin-top',$('#main-nav').height() * 2)
    });

    function scrollToDownload() {

        if ($('.section-download').length != 0) {
            $("html, body").animate({
                scrollTop: $('.section-download').offset().top
            }, 1000);
        }
    }
</script>

<script>$user=<%-JSON.stringify($user)%></script>
<script>
$.ccio={accounts:{}};$.ls=localStorage;
if(!$user.lang||$user.lang==''){
    $user.lang="<%-config.language%>"
}
switch($user.lang){
    case'ar'://Arabic
    case'bn'://Bengali
        $('body').addClass('right-to-left')
        $('.mdl-menu__item').each(function(n,v){
            v=$(v).find('i')
            v.appendTo(v.parent())
        })
    break;
}
if(location.search === '?assemble=1'){
    $.ccio.ws=io(location.origin,{
        path : '/socket.io'
    });
}else{
    $.ccio.ws=io(location.origin,{
        path : tool.checkCorrectPathEnding(location.pathname)+'socket.io'
    });
}
$.ccio.cx=function(x){return $.ccio.ws.emit('super',x)}
$.ccio.ws.on('connect',function(d){
    $.ccio.cx({f:'init',mail:$user.mail,pass:$user.pass})
})
$.ccio.ws.on('f',function(d){
    switch(d.f){
        case'init_success':
            $user.sessionKey = d.superSessionKey
        break;
        case'log':
            $.ccio.tm(4,d.log,'#logs table')
        break;
        case'save_configuration':
            d.msg = 'Saved, Restart Shinobi to apply changes.'
        break;
        case'save_preferences':
            d.msg = 'Saved Preferences'
        break;
        case'edit_account':
            d.msg='Account Edited';
            $.each(d.form,function(n,v){
                $.ccio.accounts[d.ke][n]=v
            })
            $('[ke="'+d.ke+'"] .mail').text(d.form.mail)
        break;
        case'add_account':
            d.msg='Account Created';
            $.ccio.tm(0,d,'#accounts table')
            $.aN.selected = $.ccio.accounts[d.ke]
        break;
        case'delete_account':
            $('#accounts table tr[ke="'+d.ke+'"]').remove()
        break;
    }
    if(d.msg&&typeof d.msg==='string'){
        new PNotify({text:d.msg,type:'error'})
    }
})

$.ccio.tm=function(x,d,z,k){
    var tmp='';if(!d){d={}};if(!k){k={}};
    if(d.id&&!d.mid){d.mid=d.id;}
    switch(x){
        case 0://account row
            d.detailsJSON=JSON.parse(d.details);
            $.ccio.accounts[d.ke]=d;
            tmp+='<tr ke="'+d.ke+'"><td><b class="mail">'+d.mail+'</b></td><td>'+d.ke+'</td><td><a tabindex="1" class="permission btn btn-xs btn-primary"><i class="fa fa-lock"></i></a></td><td><a tabindex="1" class="delete btn btn-xs btn-danger"><i class="fa fa-trash-o"></i></a></td></tr>';
        break;
        case 4://log row, draw to global and monitor
            if(!d.time){d.time=$.ccio.init('t')}
            tmp+='<tr class="search-row"><td><span title="'+d.time+'" class="livestamp"></span><br><small>'+d.time+'</small><br><small>'+d.mid+'</small></td><td></td><td><pre class="pre-inline">'+$.ccio.init('jsontoblock',JSON.parse(d.info))+'</pre></td></tr>'
        break;
    }
    if(z){
        $(z).prepend(tmp)
    }
    switch(x){
        case 4:
            $.ccio.init('ls')
        break;
    }
    return tmp;
}
$.ccio.init=function(x,d,z,k){
    if(!k){k={}};k.tmp='';
    switch(x){
        case 'ls'://livestamp all
            g={e:jQuery('.livestamp')};
            g.e.each(function(){g.v=jQuery(this),g.t=g.v.attr('title');if(!g.t){return};g.v.toggleClass('livestamp livestamped').attr('title',$.ccio.init('t',g.t)).livestamp(g.t);})
            return g.e
        break;
        case't'://format time
            if(!d){d=new Date();}
            return moment(d).format('YYYY-MM-DD HH:mm:ss')
        break;
        case'jsontoblock'://draw json as block
            if(d instanceof Object){
                k.tmp+='<ul>'
                $.each(d,function(n,v){
                    k.tmp+='<li>';
                    k.tmp+='<b>'+n+'</b> : '+$.ccio.init('jsontoblock',v);
                    k.tmp+='</li>';
                })
                k.tmp+='</ul>'
            }else{
                k.tmp+='<span>';
                k.tmp+=d;
                k.tmp+='</span>';
            }
        break;
    }
    return k.tmp;
}
//logs
$.logs={e:$('#logs')}
////
$(document).ready(function(){
    <% if(!users || !(users instanceof Array)){ %>
          var html = `<div class="mt-3 mb-4"><p><i class="fa fa-4x fa-exclamation-circle text-danger"></i></p><h3>Database is not running or unreachable</h3><p>Please ensure it is started then restart Shinobi.</p><p>By default Shinobi uses <b>MariaDB</b>, an SQL server, as the database engine.</p><p>If you need to install the database files again you may follow <a target="_blank" href="https://shinobi.video/articles/2019-02-22-how-to-install-the-shinobi-database-manually">this article.</a></p></div>`
          $('#main-card').html(html)
    <% }else{ %>
          users = <%- JSON.stringify(users) %>;
          if(users){
              $.each(users,function(n,v){
                  $.ccio.tm(0,v,'#accounts table')
              })
          }else{

          }
    <% } %>
    $.each(<%-JSON.stringify(Logs)%>,function(n,v){
        $.ccio.tm(4,v,'#logs table')
    })
})
    //
$('body')
.on('click','.logout',function(e){
    localStorage.removeItem('ShinobiLogin_'+location.host);location.href='/';
})
</script>
<% include blocks/mainpermissions.ejs %>
<% customAutoLoad.superLibsJs.forEach(function(lib){ %>
    <script src="<%-window.libURL%>libs/js/<%-lib%>"></script>
<% }) %>
</html>
